 
#include "remotexy.h"
#include <Servo.h> 

#define PIN_LED_LEFT 6
#define PIN_LED_RIGHT 7

#define PIN_LEFT_SERVO 8
#define PIN_RIGHT_SERVO 9
#define PIN_HEAD_SERVO 10

Servo left_servo;
Servo right_servo;
Servo head_servo;

unsigned char led_state = 0;
unsigned long led_time=0;
unsigned long prev_time=0;

void setup() 
{
  RemoteXY_Init (); 
  
  pinMode (PIN_LED_LEFT, OUTPUT);
  pinMode (PIN_LED_RIGHT, OUTPUT);
  
  left_servo.attach(PIN_LEFT_SERVO);
  right_servo.attach(PIN_RIGHT_SERVO);
  head_servo.attach(PIN_HEAD_SERVO);

  RemoteXY.slider_left=50;
  RemoteXY.slider_right=50;
  RemoteXY.slider_head=50;
  
}

void loop() 
{ 
  RemoteXY_Handler ();
  
  unsigned long time = millis();
  unsigned long d_time = time - prev_time;
  prev_time = time;
  
  
  if (RemoteXY.switch_1==0) {
    digitalWrite(PIN_LED_LEFT, (RemoteXY.button_left==0)?LOW:HIGH);
    digitalWrite(PIN_LED_RIGHT, (RemoteXY.button_right==0)?LOW:HIGH);
  }
  else {
    led_time+=d_time;
    if (led_time>500) {
      if (led_state==0) led_state=1;
      else  led_state=0;
      led_time-=500;
    }
    digitalWrite(PIN_LED_LEFT, (led_state==0)?LOW:HIGH);
    digitalWrite(PIN_LED_RIGHT, (led_state==1)?LOW:HIGH);    
  }

  left_servo.writeMicroseconds(RemoteXY.slider_left*20+500); 
  right_servo.writeMicroseconds(2500-RemoteXY.slider_right*20); 
  head_servo.writeMicroseconds(RemoteXY.slider_head*20+500); 


}
